Inhalte

# Funktion WeekdayName [VBA]

Die Funktion WeekdayName gibt den Namen des Wochentags zu einer Zahl zurück.

Diese Konstante, diese Funktion oder dieses Objekt wird durch Platzierung der Anweisung Option VBASupport 1 vor dem auszuführenden Programmcode des Moduls aktiviert.

### Syntax:

            WeekdayName(Weekday as Integer [,Abbreviate as Boolean [,FirstDayofWeek as Integer]])

### Rückgabetyp:

String

### Parameter:

Weekday: Wert zwischen 1 und 7, Montag bis Sonntag, zu dem der Name des Wochentags zurückgegeben werden soll.

Abbreviate: Optional. Ein boolescher Wert, der anzeigt, ob der Name eines Wochentags abgekürzt werden soll.

FirstDayofWeek: Optional. Legt den ersten Tag der Woche fest.

### Erster Tag der Woche:

Benannte Konstante | Wert | Beschreibung
--- | --- | ---
vbUseSystemDayOfWeek | 0 | National Language Support (NLS) API-Einstellung verwenden
vbSunday | 1 | Sonntag (Standard)
vbMonday | 2 | Montag
vbTuesday | 3 | Dienstag
vbWednesday | 4 | Mittwoch
vbThursday | 5 | Donnerstag
vbFriday | 6 | Freitag
vbSaturday | 7 | Samstag

### Fehlercodes:

Kein

### Beispiel:

            REM  *****  BASIC  *****
            Option VBASupport 1
            Sub Example_WeekdayName
             Dim tgf as Integer
             tgf = 6
             print tgf &" "& WeekdayName(tgf,False,vbSunday)
            End Sub

Verwandte Themen

VBA – Zeit- und Datumsfunktionen

Bitte unterstützen Sie uns!